amarok (2.8.0-5) unstable; urgency=medium

  * Team upload.
  * Drop menu file and its pixmaps, since amarok already provides a .desktop
    file.
  * Remove amarok-dbg in favour of the -dbgsym packages.
  * Update Vcs-* fields.
  * Remove unused libstreamanalyzer-dev and libstrigiqtdbusclient-dev build
    dependencies.
  * Nepomuk is being phased out, so drop the support for Nepomuk collections:
    - remove the nepomuk-core-dev and libsoprano-dev build dependencies
    - update the install files
  * Update lintian overrides.
  * Fix a typo in amarokcollectionscanner.1.
  * Remove manual dh_makeshlibs invocation in rules, since what it does is
    already done by the kde dh addon.
  * Remove manual dh_builddeb invocation in rules, since the default
    compression is XZ already in stable.
  * Replace kdemultimedia-kio-plugins with kio-audiocd in README.Debian.
  * Backport upstream commit 9308403e1c8484052f277bf6de32ee07c93a4beb to fix
    build with GCC 6; patch backport_gcc6.diff. (Closes: #822704)
  * Recommend khelpcenter in amarok-doc. (Closes: #718197)
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Jun 2016 07:05:53 +0200

amarok (2.8.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Update to Debian Policy 3.9.7.
    - Build-Depends-Indep: Change build dependency from mysql-server-core to
      virtual-mysql-server-core to allow mariadb usage (closes: #815567).

 -- Samuel Henrique Oltramari Pinto (SamuelOPH) <samueloph@gmail.com>  Sun, 27 Mar 2016 12:43:01 -0300

amarok (2.8.0-4) unstable; urgency=medium

  * Update watch file.
  * Add ffmpeg-2.9.patch for FFmpeg 2.9 compatibility (Closes: #803797)
    Thanks: Andreas Cadhalpun for the patch.

 -- Diane Trout <diane@ghic.org>  Sat, 09 Jan 2016 15:49:03 -0800

amarok (2.8.0-3) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Refresh patches.
  * New patch: valgrind_uninitialized_value

  [ Diane Trout ]
  * Update build-depends-indep to mysql-server-core-5.6.
    This is needed as the libmysqld-pic version changed to 5.6.x.
    (Closes: #793451)
  * Add myself to uploaders, ACKed by Sune and Lisandro.

 -- Diane Trout <diane@debian.org>  Fri, 24 Jul 2015 14:43:31 -0700

amarok (2.8.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Explicitly list libgcrypt20-dev in Build-Depends (Closes:
    #758412).

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 30 Aug 2014 10:37:41 +0200

amarok (2.8.0-2) unstable; urgency=low

  * Drop kdemultimedia-dev build dependency. Apparently, it is not needed.
  * Replace kdemultimedia-kio-plugins Recommends with kio-audiocd.
  * Re-enable QtScript bindings which got disabled due to bug
    (fix debian_disable_qtscriptbindings_check_fix.diff) (Closes: #721882)
  * Describe amzdownloader in amarok-utils package description (Closes: #728037)
  * Backport a fix for a crash on shuffle keyboard shortcut (Closes: #725895)
    Patch: backport_dont_crash_on_shuffle_keyb_shortcut.diff
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Disallow Spectrum Analyzer applet with VLC backend (Closes: #725893)
    Patch (backport): backport_dont_allow_analyzer_with_vlc.diff

 -- Modestas Vainius <modax@debian.org>  Mon, 04 Nov 2013 21:44:31 +0200

amarok (2.8.0-1) unstable; urgency=low

  * New upstream release:
    - new spectrum analyzer applet added (GStreamer backend only)
      Closes: #683707
  * Team upload.

  [ Modestas Vainius ]
  * Drop libifp-dev and libnjb-dev build dependencies. Apparently, they have
    been unused since initial Amarok 2 release. Thanks to Pino Toscano for
    heads up.
  * Disable test building explicitly. Tests are enabled by default since
    KDE 4.9 so they will trigger FTBFS. We are not quite there yet with amarok
    tests (Closes: #719425).
  * Build depend on nepomuk-core-dev for KDE 4.9 or higher.
  * Adapt debian_disable_qtscriptbindings_check_fix.diff to upstream changes.
  * Adapt debian_find_mysql_fix.diff to upstream changes.
  * Adapt debian_clamz_is_runtime_dependency.diff to upstream changes.
  * Update install files:
    - New libamarokshared library goes to amarok-utils package since it might
      be needed by a few utilities (e.g. collectionscanner).
  * Move amzdownloader into amarok-utils package.
  * Add notes about Phonon backends to README.Debian. Some Amarok features are
    not supported by Phonon VLC backend.
  * Backport upstream patch which avoids adding analyzer applet by default if
    Phonon backend does not support it.
    Patch backport_dont_add_analyzer_when_not_supported.diff

  [ Maximiliano Curia ]
  * Update watch file.
  * Add myself to Uploaders

 -- Modestas Vainius <modax@debian.org>  Sun, 18 Aug 2013 16:27:30 +0300

amarok (2.7.1-1) unstable; urgency=low

  * New upstream release: (Closes: #708525)
    - this release supports liblastfm (>= 1.0.3). (Closes: #710705)
  * Install libamarok_service_lastfm_shared.so into amarok package again.
    It has somehow slipped through my eyes before. (Closes: #702802)
  * Adapt debian_mysqle_force_defaults_file.diff to upstream changes.
  * Update lintian overrides for embedded libmysqld and a new shared liblastfm
    library.

 -- Modestas Vainius <modax@debian.org>  Sun, 02 Jun 2013 01:58:55 +0300

amarok (2.7.0-1) experimental; urgency=low

  * New upstream release.
  * Really add --no-relax on Alpha (forgot to export appropriate variable).
    (Closes: #684932)
  * Refresh patches.
  * Update build dependencies according to upstream requirements:
    - require kde4libs 4.8.4 (with implicit Qt 4.8 requirement);
    - require taglib 1.8;
    - require liblastfm 1.0.3.
  * Add clamz to amarok Recommends and disable clamz check at build time
    (patch debian_clamz_is_runtime_dependency.diff). In addition, add
    README.Debian entry about clamz.
  * Bump Standards-Version to 3.9.4: no changes needed.
  * Upload to experimental since we require some dependencies from it.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 Jan 2013 14:27:15 +0200

amarok (2.6.0-1) unstable; urgency=low

  * New upstream release.
  * Add --no-relax when linking on Alpha in order to fix FTBFS.
    (Closes: #684932)

 -- Modestas Vainius <modax@debian.org>  Sat, 18 Aug 2012 11:42:49 +0300

amarok (2.6~rc1-1) unstable; urgency=low

  * New upstream release (release candidate).
  * Drop patch debian_fix_doc_nl_build.diff, merged upstream.
  * Update install files (fr, it docs removed upstream).
  * Do not install amarokrc, not needed for this build.

 -- Modestas Vainius <modax@debian.org>  Tue, 07 Aug 2012 10:28:22 +0300

amarok (2.6~beta1+75.g47e75df-1) unstable; urgency=low

  * New upstream development snapshot (very close 2.6 release).
  * Override lintian embedded-library: zlib error. It comes from MySQLe.
  * Drop "upgrading from 1.4" and "upgrading to 2.2" sections from
    README.Debian. They are no longer relevant.
  * Drop libxine1-ffmpeg from amarok Suggests. It is no longer relevant as
    there is no Phonon Xine backend anymore.
  * Update information in debian/not-installed.
  * Lengthen descriptions of amarok-common and amarok-doc packages a bit.
  * Disable LikeBack by default by shipping appropriate amarokrc.

 -- Modestas Vainius <modax@debian.org>  Fri, 29 Jun 2012 02:51:17 +0300

amarok (2.6~beta1-1) experimental; urgency=low

  * New upstream development release (2.5.90).
  * Drop upstream_fix_lyrics_autorefresh_in_some_cases.patch, merged upstream.
  * Adapt debian_find_mysql_fix.diff to upstream changes.
  * Update debian_fix_doc_nl_build.diff patch to fix a new build problem with
    KDE 4.7, require kdelibs5-dev 4:4.7.
  * Update install files.
  * Remove ${perl:Depends} from amarok-doc Depends, not needed.

 -- Modestas Vainius <modax@debian.org>  Sun, 03 Jun 2012 01:17:19 +0300

amarok (2.5.0-3) unstable; urgency=low

  * Depend on libmysql-pic 5.5.23+dfsg so we can drop libssl-dev from
    Build-Depends.
  * Compress all deb packages with xz, not just amarok-dbg.
  * Split off Amarok Handbook into amarok-doc package.
  * Update debian/copyright.
  * Fix unsafe argument assignment in the debian_mysqle_force_defaults_file
    patch. Thanks to Pino Toscano for heads up.

 -- Modestas Vainius <modax@debian.org>  Sat, 26 May 2012 19:24:16 +0300

amarok (2.5.0-2) unstable; urgency=low

  * Drop mysql-server-5.1 from Build-Depends-Indep. mysql-server-core-5.1 was
    split off long ago (it's in squeeze).
  * Prefer mysql-server-core-5.5 in Build-Depends-Indep. Alternatively depend
    on the mysql-server-core virtual package.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Since the package is compat=9, rebuild againt debhelper 9.20120419 should
    enable hardening flags. (Closes: #653354)
  * Improve debian_find_mysql_fix.diff to work with Debian libmysqld-pic
    5.5.23.
  * Add libssl-dev and libaio-dev [linux-any] to Build-Depends because they are
    needed for libmysqld-pic 5.5.23.
  * Force MySQLe to use our custom defaults file. This makes MySQLe independent
    from system MySQL configuration. (Closes: #672207, #673403)
    Patch debian_mysqle_force_defaults_file.diff
  * Bump debhelper build dependency to >= 9.

 -- Modestas Vainius <modax@debian.org>  Mon, 21 May 2012 20:38:19 +0300

amarok (2.5.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * This version of amarok requires kdelibs 4.6, bump build dependency.
  * Bump compat to 9 in order to get automatic build flags handling.
  * Ship Russian documentation translations.
  * Add debian_find_mysql_fix.diff patch to fix MySQL detection at cmake stage.
  * Update install files.
  * Compress amarok-dbg package with xz.
  * Fix doc/nl build with kdelibs 4.6 (patch debian_fix_doc_nl_build.diff).

 -- Modestas Vainius <modax@debian.org>  Mon, 26 Dec 2011 14:04:49 +0200

amarok (2.4.3-1) unstable; urgency=low

  * New upstream release.
  * Switch Vcs-* field to kde-extras repository. (Closes: #635292)
  * Drop backport_no_kwallet_prompt_on_track_change.patch and
    backport_arm_build_fix.patch - integrated upstream.
  * Add upstream_fix_lyrics_autorefresh_in_some_cases.patch to fix lyrics
    autorefresh in some cases.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Jul 2011 18:00:09 +0300

amarok (2.4.2-2) unstable; urgency=low

  * Fix FTBFS on armel (backport_arm_build_fix.patch).

 -- Modestas Vainius <modax@debian.org>  Sun, 24 Jul 2011 17:29:30 +0300

amarok (2.4.2-1) unstable; urgency=low

  * New upstream release.
  * Switch maintainer to Debian KDE Extras team, add myself to Uploaders,
    document committing/uploading rules in README.source.
  * Update documentation about Phonon backends in Amarok bug-presubj.
    (Closes: #629208)
  * Adapt debian_disable_qtscriptbindings_check_fix.diff to upstream changes.
  * Add ${perl:Depends} to amarok-common Depends.
  * Update install files.
  * Backport a patch to fix a bug which caused KWallet to prompt for a password
    on every track change (backport_no_kwallet_prompt_on_track_change.patch).
  * Override lintian "amarok: no-symbols-control-file".
  * Drop amarok-engine-xine (<< 2) and amarok-engine-yauap (<< 2) from amarok
    Conflicts. No longer relevant for stable.

 -- Modestas Vainius <modax@debian.org>  Sun, 24 Jul 2011 12:26:59 +0300

amarok (2.4.1-2) unstable; urgency=low

  * Build depend on kdelibs5-dev 4:4.5 and ship plugins for NFS and SMB
    collection support. (Closes: #620741)

 -- Modestas Vainius <modax@debian.org>  Wed, 01 Jun 2011 15:10:31 +0300

amarok (2.4.1-1) unstable; urgency=low

  * New upstream release.
  * No longer recommend phonon-backend-xine. Stick to what phonon metapackage
    depends on.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Drop backport_fix_plugin_version.diff, it was backported from upstream.
  * Call dh in compat=8 compliant way.

 -- Modestas Vainius <modax@debian.org>  Sun, 08 May 2011 00:21:26 +0300

amarok (2.4.1~beta1-1) experimental; urgency=low

  * New upstream beta release.
  * Drop backport_mute_button_fix.diff - backported from upstream.
  * Build depend on libqjson-dev.
  * Update install files.
  * Override amarok: embedded-library ... : libmysqlclient.
  * Backport a patch as recommended by upstream to fix plugin version
    (backport_fix_plugin_version.diff).

 -- Modestas Vainius <modax@debian.org>  Sun, 20 Mar 2011 17:50:14 +0200

amarok (2.4.0-2) unstable; urgency=low

  * Make amarok-dbg suggest libqtwebkit4-dbg.
  * Build depend on libqtwebkit-dev | libqt4-dev (<< 4:4.7.0). Closes: #618209
  * Backport backport_mute_button_fix.diff patch to really fix mute button.
    (Closes: #600159)

 -- Modestas Vainius <modax@debian.org>  Sun, 20 Mar 2011 16:00:14 +0200

amarok (2.4.0-1) unstable; urgency=low

  * New upstream release:
    - unmute should work properly. (Closes: #600159)
  * Remove patches previously backported from upstream:
    - backport_FLAC_BPM_tags_fix.diff;
    - 0001-Re-add-some-tests-for-unprintable-but-also-invalid-c.patch.
  * Refresh debian_disable_qtscriptbindings_check_fix.diff patch.
  * Adapt debian_mysqle_amarok_local_errmsg_feature.diff to upstream changes.
  * Build depend on libavformat-dev (>= 4:0.5).
  * Update install files.
  * Build depend on libofa0-dev.
  * Update lintian-overrides.
  * Add mysql-server-core-5.1 as a preferred alternative to mysql-server-5.1 in
    Build-Depends-Indep.

 -- Modestas Vainius <modax@debian.org>  Fri, 14 Jan 2011 22:39:04 +0200

amarok (2.3.2-2) experimental; urgency=low

  * Backport 0001-Re-add-some-tests-for-unprintable-but-also-invalid-c.patch
    as per upstream suggestion in order to fix problems in the collection
    scanner emitting non-well-formed XML when unprintable characters are
    encountered in the tags of the audio files.

 -- Modestas Vainius <modax@debian.org>  Sat, 25 Sep 2010 13:02:26 +0300

amarok (2.3.2-1) experimental; urgency=low

  * New upstream release:
    - Amarok ships documentation now;
    - tray icon is back in non-KDE environments; (Closes: #587720, #572757)
    - solves a bunch of dynamic collection problems; (Closes: #539471)
    - fixes saving of last.fm account data outside kwallet; (Closes: #550890)
    - fixes crash when scanning media collection/library. (Closes: #585102)
  * Drop debian/mysql_no_openssl_fix.diff patch, the problem was fixed upstream
    differently.
  * Adapt debian/mysqle_amarok_local_errmsg_feature.diff patch to upstream
    changes.
  * Refresh disable_qtscriptbindings_check_fix.diff patch.
  * Move patches out of debian/ subdir and prefix their filenames with debian_
    instead.
  * Bump Standards-Version to 3.9.1: add Breaks next to Replaces for
    amarok-utils.
  * Backport FLAC BPM tag fix as requested by upstream (patch
    backport_FLAC_BPM_tags_fix.diff).
  * Bump libmtp-dev dependency to 1.0.0 (following upstream requirement).
  * Update install files.

 -- Modestas Vainius <modax@debian.org>  Tue, 21 Sep 2010 02:09:53 +0300

amarok (2.3.1-1) unstable; urgency=low

  * New upstream release.
  * Add libgpod-dev as an alternative to libgpod-nogtk-dev in Build-Depends
    (Closes: #580057).
  * Update install files.

 -- Modestas Vainius <modax@debian.org>  Sun, 30 May 2010 22:14:22 +0300

amarok (2.3.1~beta1-1) experimental; urgency=low

  * New upstream release:
    - different albums with the same title should no longer share the same
      cover (Closes: #490362).
  * Update patches:
   - general/crash_fix_info_applet.diff -remove, stolen from upstream;
   - debian/mysql_no_openssl_fix.diff - adapt to upstream changes;
   - debian/mysqle_amarok_local_errmsg_feature.diff - adapt to upstream
     changes;
  * Update install files.

 -- Modestas Vainius <modax@debian.org>  Fri, 16 Apr 2010 19:30:18 +0300

amarok (2.3.0-2) unstable; urgency=low

  * Add general/crash_fix_info_applet patch that fixes the crash on startup
    with Info applet on Qt 4.6.{0,1,2}.

 -- Modestas Vainius <modax@debian.org>  Thu, 15 Apr 2010 00:34:42 +0300

amarok (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update amarok-common.install.
  * Fix hyphen-used-as-minus-sign usr/share/man/man1/amarok.1.gz:149.
  * Do not use asterisks in debian/NEWS, use normal paragraphs instead.

 -- Modestas Vainius <modax@debian.org>  Mon, 15 Mar 2010 01:33:17 +0200

amarok (2.3~beta1-1) experimental; urgency=low

  * New upstream development release (2.2.2.90).
  * Resync patches:
    - general/scanning_crash_backport.diff - drop, stolen from upstream;
    - debian/disable_qtscriptbindings_check_fix.diff - refresh;
    - debian/mysql_no_openssl_fix.diff - adapt to upstream changes;
    - debian/mysqle_amarok_local_errmsg_feature.diff - refresh.
  * Update Standards-Version to 3.8.4: no changes needed.
  * Update install files.
  * Compress amarok-dbg with bzip2.
  * Bump KDE build depends to 4:4.3.0.

 -- Modestas Vainius <modax@debian.org>  Sun, 14 Feb 2010 03:35:21 +0200

amarok (2.2.2-1) unstable; urgency=low

  * New upstream release.
  * Suggest moodbar, add a note about it to README.Debian.
  * Replace "KDE 4 technology platform" with official "KDE Platform" in amarok
    package description.
  * Refresh patches.
  * Add patch scanning_crash_backport.diff from upstream. Fixes a crash when
    scanning a local collection.

 -- Modestas Vainius <modax@debian.org>  Sun, 10 Jan 2010 16:35:01 +0200

amarok (2.2.2~beta1-1) experimental; urgency=low

  * New upstream release.
  * Remove DMUA field from debian/control. No longer needed.
  * Git repository moved to my new DD account on alioth. Change Vcs fields in
    debian/control accordingly.
  * Use @debian.org address in the Maintainer field.
  * Enable parallel building - pass --parallel option to dh.
  * Resync patches:
    - rename debian/mysql_linkage_fix.diff to debian/mysql_no_openssl_fix.diff,
      remove more references to OpenSSL linkage;
    - debian/*.diff - refresh offsets;
    - general/playlist_default_layout_fix.diff - remove, upstream;
    - general/random_mode_fix.diff - remove, upstream;

 -- Modestas Vainius <modax@debian.org>  Thu, 10 Dec 2009 19:28:47 +0200

amarok (2.2.1-2) unstable; urgency=medium

  * Fix "No default playlist layout on start bug" (patch
    general/playlist_default_layout_fix).
  * Fix random order playback (patch general/random_mode_fix.diff)
    (Closes: #556239).
  * Urgency medium due to RC bug fix.
  * Add notes to NEWS.Debian, README.Debian and presubj that full collection
    rescan might be needed when upgrading from 2.2.0 or earlier
    (Closes: #556621).
  * Reformat README.Debian a bit.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 21 Nov 2009 11:04:41 +0200

amarok (2.2.1-1) unstable; urgency=low

  * New upstream release.
    - This particular crash with dynamic playlists has been fixed upstream
      (Closes: #547946).
  * Reformat debian/README.Debian and add a note about
    /usr/share/bug/amarok/presubj to it.
  * Add a note about libxine1-ffmpeg to /usr/share/bug/amarok/presubj. That's a
    solution for "MP3 files not playing" problem.
  * Make amarok suggest libxine1-ffmpeg.
  * Remove Shoutcast service from the package description. It is no longer
    available.
  * Update DESCRIPTION section of amarok manual page. It was really obsolete.
  * Switch to dpkg-source format 3.0 (quilt):
    - do not use quilt dh addon in debian/rules;
    - drop quilt from build-depends;
    - drop quilt specific instructions from README.source;
    - use original upstream .tar.bz2 tarball.
  * Update patches:
    - debian/disable_qtscriptbindings_check_fix - refresh;
    - merge debian/mysqle_linkage_fix into debian/mysql_linkage_fix,
      refresh;
    - debian/mysqle_amarok_local_errmsg_feature - adapt to upstream changes;
  * Update install files.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 13 Nov 2009 22:01:41 +0200

amarok (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Modestas Vainius <modestas@vainius.eu>  Wed, 30 Sep 2009 22:26:09 +0300

amarok (2.2~rc1-1) unstable; urgency=medium

  * New upstream development release (2.1.90):
    - plays usertags from Last.fm "My tags" (Closes: #541338). Thanks to
      Євгеній Мещеряков for the patch, merged upstream;
    - fetches covers from Last.fm (Closes: #545384);
    - lyrics fetching works again (Closes: #545466).
  * Bump build depends to libtag1-dev 1.6-2 (supports ASF and MP4) and
    libtag-extras-dev 1.0.1.
  * Update install files: shoutcast service gone.
  * Urgency medium, because previous release (2.1.1) has a splash screen of
    questionable license.
  * Update debian/copyright.
  * Fix hyphen-used-as-minus-sign in amarok manual pages.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 22 Sep 2009 13:35:53 +0300

amarok (2.1.85-1) experimental; urgency=low

  * New upstream development release (2.2 Beta 2).
  * Refresh patches.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 18 Sep 2009 00:36:57 +0300

amarok (2.1.80-1) experimental; urgency=low

  * New upstream development release (2.2 Beta 1).
  * Build depend on liblastfm-dev (>= 0.3).
  * Bump Standards-Version to 3.8.3, no changes needed.
  * Use kde dh sequence addon rather than debhelper/kde.mk:
    - build depend on pkg-kde-tools 0.5;
    - build depend on debhelper 7.3.16;
    - adjust debian/rules;
  * Resync patches:
    - debian/disable_qtscriptbindings_check_fix - refresh;
    - debian/mysqle_amarok_local_errmsg_feature - adapt to upstream changes;
    - debian/mysqle_linkage_fix - adapt to upstream changes;
    - debian/mysqle_look_for_libmysqld_pic - drop, merged upstream;
    - general/armel_ftbfs_fix - drop, merged upstream;
    - general/mp3tunes_portability_fix.diff - drop, merged upstream;
  * Pass -DCMAKE_USE_RELATIVE_PATHS=ON to cmake again.
  * Add debian/mysql_linkage_fix patch to linkage against mysql library on
    Debian. OpenSSL is not needed.
  * Update install files.
  * Drop libamarok_service_liblastfm.so from lintian-overrides. It is no longer
    shipped inside amarok source.
  * Move amarok_afttagger to amarok-utils package. Add appropriate Replaces and
    adjust Description accordingly.
  * Add NEWS entry about database schema change in 2.2 (which complicates
    downgrades to 2.1 a bit).

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 03 Sep 2009 11:02:45 +0300

amarok (2.1.1-4) unstable; urgency=medium

  * Add general/mp3tunes_portability_fix patch to fix FTBFS on alpha.
  * Urgency medium: RC bug fix.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 04 Aug 2009 10:16:59 +0300

amarok (2.1.1-3) unstable; urgency=low

  * Exclude usr/lib/kde4/* from dh_makeshlibs. This is a better fix for
    unused-shlib-entry-in-control-file lintian warnings.
  * Add ${misc:Depends} to Depends of all packages.
  * Drop shlib-missing-in-control-file from amarok.lintian-overrides. No longer
    needed.
  * Actually ship debugging symbols in amarok-dbg.
  * Install a bug-control file to all packages which:
    - lists installed phonon backends;
    - adds info about amarok and amarok-common package to each bug report.
  * Prefer phonon-backend-xine to other phonon backends (Closes: #538767).
  * Add a presubj to amarok package for users who hear no sound or amarok is
    otherwise skipping songs (See: #538767).

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 27 Jul 2009 16:21:29 +0300

amarok (2.1.1-2) unstable; urgency=low

  * Make use of debhelper 7.3 cmake support:
    - build depend on debhelper 7.3;
    - build depend on pkg-kde-tools 0.4.10, use debhelper/kde.mk from there;
    - drop custom debian/debhelper snippets;
    - adjust debian/rules accordingly.
  * Refresh patches.
  * Use libmysqld-pic from MySQL 5.1.36-2 packages:
    - replace libmysqlclient15-dev build depend with libmysqld-pic
      (Closes: #538454);
    - disable debian/mysqle_link_to_amarok_executable_feature.diff patch;
    - enable debian/mysqle_linkage_fix.diff patch;
    - add patch mysqle_look_for_libmysqld_pic.diff patch which makes amarok
      find libmysqld_pic from the libmysqld-pic package.
  * Add general/armel_ftbfs_fix.diff patch which fixes building failures on
    armel. Thanks to Michael Casadevall.
  * Merge missing debian/changelog entries from Amarok 1.4.9 and 1.4.10
    package revisions.
  * Remove old cruft (about_version patch related) from debian/rules.
  * Bump Standards-Version to 3.8.2. No changes needed.
  * Do not run upstream test suite.
  * Upload to unstable following MySQLe 5.1 upload!

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 26 Jul 2009 15:08:21 +0300

amarok (2.1.1-1) experimental; urgency=low

  * New upstream release.
  * Update amarok-common.install.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 16 Jun 2009 20:27:22 +0300

amarok (2.1-1) experimental; urgency=low

  * New upstream release.
  * Remove duplicate symbols from libmysqld.a before linking
    (improve patch debian/mysqle_link_to_amarok_executable_feature).
  * Fix typo in amarok-utils description (thanks to Frederik Schwarzer).
  * Disable debian/bug-presubj (notice about upstream bugs).
  * Disable patch debian/aboutdata_add_debian_version_feature. Breaks upstream
    BTS version tracking.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 02 Jun 2009 22:24:27 +0300

amarok (2.0.96-2) experimental; urgency=low

  * Do not apply debian/mysqle_linkage_fix patch, rebase
    debian/mysqle_link_to_amarok_executable_feature on top of upstream.
  * Update debian/copyright.
  * Add amarok-utils package.
  * Change main section to 'sound' and put amarok-utils to utils section.
  * Update amarok package description.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 11 May 2009 22:40:53 +0300

amarok (2.0.96-1) experimental; urgency=low

  * New upstream release (2.1 Beta 2) (Closes: #528082):
    - no longer contains QtScript Bindings, FTBFS is not applicable
      (Closes: #527817).
  * Build depend on libtag-extras-dev.
  * Bump Standards-Version to 3.8.1. No changes needed.
  * Update build scripts:
    - use simplier debhelper/cmake.mk;
    - use dh --with quilt for patching (bump quilt build depend to 0.4.6-7~).
  * Add Vcs-* fields.
  * Use TopGit for patch management:
    - update debian/README.source accordingly;
    - update patches from TopGit branches, they were renamed.
  * Depend on QtScript bindings:
    - add debian/disable_qtscriptbindings_check_fix patch to disable Qt Script
      bindings cmake check at build time;
    - make amarok depend on the following QtScript bindings packages:
      - libqtscript4-core
      - libqtscript4-gui
      - libqtscript4-network
      - libqtscript4-xml
      - libqtscript4-sql
      - libqtscript4-uitools
  * Update install files.
  * Bump debhelper build depend to 7.2.3~ due to dh_bugfiles.
  * Change amarok-dbg section to debug.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 11 May 2009 14:38:38 +0300

amarok (2.0.60+svn935422-2) experimental; urgency=low

  * Link libmysqld to amarok executable (patch
    03_mysqle_link_to_amarok_executable.diff). It is a bit hackish solution but
    the win is that -fPIC is not needed for libmysqld.a anymore
    (Closes: #501495). Thanks to Sune Vuorela for the excelent idea.
  * Disable 02_mysqle_fix_linkage.diff. Sort of deprecated by patch 03.
  * Build depend on libwrap0-dev. It is needed to link whole libmysqld archive.
  * PostgresSQL -> PostgreSQL in README.Debian.
  * Add more lintian overrides.
  * Drop | libgpod-dev (>= 0.7.0) from build depends. It seems to confuse
    experimental buildds.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 06 Mar 2009 02:12:08 +0200

amarok (2.0.60+svn935422-1) experimental; urgency=low

  * New upstream development snapshot (amarok 2.1):
    - Last Changed Author: mitchell
    - Last Changed Rev: 935422
    - Last Changed Date: 2009-03-05 05:33:46 +0200
    - Translations as of Wed, 04 Mar 2009 23:53:09 +0200 are included.
  * Fix test in the override_dh_install target, makes the package -B
    buildable.
  * Adapt patch 01_aboutdata_add_debian_version.diff to upstream changes.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 05 Mar 2009 18:22:23 +0200

amarok (2.0.60+svn934288-1) experimental; urgency=low

  * New upstream development snapshot (amarok 2.1 trunk):
    - Last Changed Author: dmeltzer
    - Last Changed Rev: 934288
    - Last Changed Date: 2009-03-02 19:56:56 +0200
    - Translations as of Sun, 01 Mar 2009 18:43:56 +0200 are included.
    - Fixes saving of "lastplay" and "equals" bias matches (Closes: #517026).
    - This snapshot is supposed to handle wikipedia properly (Closes: #512847).
  * Reenable presubj and tweak working a bit.
  * Adapt 02_mysqle_fix_linkage.diff patch to upstream changes.
  * Bump KDE build dependences to 4.2.0 (as well as strigi to 0.6.3 and soprano to
    2.1.67).
  * Build depend on libqca2-dev (needed by ampache service).
  * Remove references to libvisual (build-depends, amarok suggests,
    description).
  * Remove a notice about development stage software from the description.
  * Bump libgpod build depends to 0.7.0.
  * Add prune-tarball rule to remove non-free src/mac stuff.
  * Update install files and debian/not-installed.
  * Changes to custom debhelper scripts:
    - adapt debian/debhelper/kde4.mk to use new dh_overrides system;
    - remove custom debian/debhelper/dh, no longer necessary;
    - remove dh_auto_test from the kde4 sequence;
    - add dh_bugfiles to the kde4 sequence;
    - build depend on debhelper 7.0.50 to get dh_overrides support;
    - get rid of Dh_Lib hack, no longer necessary;
    - remaining hacks - cmake support for dh_auto_* tools via "plugins";
    - move dh_strip autodbg package code from kde4 sequence to kde4 makefile
      snippet.
  * Adapt debian/rules to dh_overrides system. Much cleaner now.
  * Conflict with amarok 1 engines. Just a safety measure (Closes: #513793).
  * Add Debian package version to aboutData (patch
    01_aboutdata_add_debian_version.diff). Pass DEBIAN_PACKAGE_VERSION to
    cmake.
  * Move mysql-server-5.1 to Build-Depends-Indep. It is needed only because
    of errmsg.sys which is shipped in the arch:all amarok-common.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 02 Mar 2009 23:20:29 +0200

amarok (2.0.1.1-1) experimental; urgency=low

  * New upstream release.
  * Refresh 05 patch.
  * Update install files.
  * Enchance 02_mysqle_fix_linkage.diff: link mysqle against libdl.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 10 Jan 2009 12:51:54 +0200

amarok (2.0-1) experimental; urgency=low

  * New MAJOR upstream release.
  * Disable bug-presubj.
  * Remove 01_r887834_dynamic_playlist_exhaust_fix.diff, stolen from upstream.
  * Refresh 05_mysqle_amarok_local_errmsg.diff patch.

 -- Modestas Vainius <modestas@vainius.eu>  Wed, 10 Dec 2008 01:32:45 +0200

amarok (1.98-1) experimental; urgency=low

  * New upstream development release (2.0 RC1).
  * Drop amarok dependency on libplasma2. It is not needed.
  * No longer build depends on sqlite.
  * Suggest Qt4 SQLite, MySQL and PostgresSQL plugins which allow
    to import collections from Amarok 1.4. Document that in README.Debian.
  * Remove note about scripts from README.Debian.
  * Refresh 05_mysqle_amarok_local_errmsg.diff patch.
  * Add 01_r887834_dynamic_playlist_exhaust_fix.diff patch which should solve
    the problem with dynamic playlist running out of tracks after some time.
  * Update install files.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 23 Nov 2008 10:53:51 +0200

amarok (1.94-1) experimental; urgency=low

  * New upstream development release (2.0 Beta 3).
  * Rewrite debian/debhelper/* and debian/Debian/*
    - Get rid of the Debian symlink hack. Use PERLLIB environment variable
      instead to allow dh to find custom Debhelper modules.
    - Make it thread-safe by dropping double-collon rules.
    - Change the way dh_auto_* handles buildsystems.
    - Rewrite almost all custom Debhelper scripts.
    - Pass -DCMAKE_USE_RELATIVE_PATHS=ON when cmake >= 2.6.2-1 is used.
  * Build depend on cmake 2.6.2 or higher.
  * Update install files.
  * Refresh debian/patches.
  * Make quilt build dependency unversioned again. Tweak README.source a bit.
  * Tweak debian/copyright a bit.
  * Build depend on pkg-kde-tools >= 0.2. Use variables.mk from there and
    enable linking with --as-needed.
  * Add lintian override for usr/lib/libamarok_service_liblastfm.so error.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 01 Nov 2008 21:41:19 +0200

amarok (1.92.2-1) experimental; urgency=low

  * New upstream development release (1.92.2 aka REAL 2.0 Beta2).
  * Rename and modify patches:
    - 02_sqlcollection_no_openssl_linkage.diff to 02_mysqle_fix_linkage.diff.
      Additionally link sqlcollection (MySQLe) against pthread.
  * Drop patches, merged upstream:
    - 01_mp3tunes_gcrypt_fixup.diff
    - 03_r865140_r865531_mysqle_init_fixes.diff
    - 04_mysqle_skip_grant_tables.diff
  * Refresh patches:
    - 05_mysqle_amarok_local_errmsg.diff
  * Update amarok-common.install:
    - importer script - removed;
    - librivox_service script - new files added.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 05 Oct 2008 10:15:09 +0300

amarok (1.92-1) experimental; urgency=low

  * New upstream development release (1.92 aka 2.0 Beta2):
  * Drop 01_mp3tunes_support_gcrypt.diff. Merged upstream.
    - Add 01_mp3tunes_gcrypt_fixup.diff - upstream merged incomplete patch.
      This small fix is still needed to make amarok mp3tunes build against
      libgcrypt.
  * Drop dependency on ruby from amarok-common and from build depends.
  * Build-depend on kdemultimedia-dev (>= 4.1.1) as it has dependencies
    cleaned up now. Bump kdelibs5-dev and libsoprano-dev build depend versions
    to match this one.
  * Update install files.
  * Install translations to amarok-common.
  * Update debian/not-installed.
  * Strip debian/tmp from install files. No longer necessary as of debhelper
    compat level 7.
  * debian/rules: now other scripts need permission fixes (lyrc and lyricwiki).
  * Replace libmysqlclient15-dev build dependency with libmysqlclient-dev
    (>= 5.1.26c) from experimental. libmysqld.a (MySQL Embedded) in the old
    package cannot be linked with shared libraries (Amarok sqlcollection) and
    as a result build fails.
  * Add patch to drop useless sqlcollection plugin linking with openssl stuff
    (crypto, ssl) (02_sqlcollection_no_openssl_linkage.diff).
  * Add 03_r865140_r865531_mysqle_init_fixes.diff patch from amarok trunk
    which is supposed to fix Amarok crash on startup related to MySQLe and
    Innodb. However, MySQLe as of 5.1.26rc-1 does not want to use MyISAM even
    when explicitly told so.
  * Add 04_mysqle_skip_grant_tables.diff which disables MySQLe ACL checking
    (--skip-grant-tables option) when MySQLe is built with
    --with-embedded-privilege-control option. ACLs are useless for Amarok.
  * It appears that MySQLe needs errmsg.sys to run. This file is supplied by
    the mysql-server-5.1 package however it is overkill to depend on it. Hence
    make the following changes:
    - Build-depend on mysql-server-5.1. It will be the source of English
      errmsg.sys.
    - Copy mysql-server-5.1 English errmsg.sys to <amarok data dir>/mysqle.
      Install it to the amarok-common package.
    - Patch (05_mysqle_amarok_local_errmsg.diff) Amarok MySQLe to search for 
      the errmsg.sys in the <amarok data dir>/mysqle (--language option).
  * Remove obsolete patches from debian/patches (they were disabled in 1.90-1):
    - 10_queuemedia.patch
    - 15_temptables_more_indices.diff
  * Add debian/NEWS entry about MySQLe.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 28 Sep 2008 12:10:02 +0300

amarok (1.90-1) experimental; urgency=low

  * New upstream development release (2.0 Beta 1, Nerrivik) (Closes: #481834):
    - Improved & rewriten Last.fm support (Closes: #367910, #390412, #421810),
      (Closes: #439795). If closed bugs still apply, please reopen.
    - There is no counter anymore (Closes: #406937).
    - "Manage Devices and Plugins" popup no longer exists (Closes: #420057).
    - "setBpm" DBus call is not available. The bug is no longer applicable
      (Closes: #458210).
    - Playlist code was rewritten (Closes: #416783).
    - Wikipedia information is reloaded when another song is played
      (Closes: #453151).

  * Remove patches:
    - 01, 02, 03, 04, 05, 06, 97 - no longer applicable as amarok 2 uses cmake
      instead of autotools.
    - 11_bug403340_cancel_rename_when_deleting_items.diff - playlist code was
      rewritten.
    - 12_devicemanager_dcopcall_no_timeout.diff - no longer applicable as DCOP
      has been replaced by DBus.
    - 13_lastfm_crash_434835.diff - Last.fm support was completely rewritten.
    - 14_ruby_libs_not_scripts.diff - no longer applicable.
  * Disable patches (needs evaluation and/or porting if still applicable):
    - 10_queuemedia.patch
    - 15_temptables_more_indices.diff
  * Switch away from cdbs to debhelper v7:
    - Port important stuff from pkg-kde KDE4 cdbs/kde.mk to my dh/kde.mk
    - Appropriate changes to debian/rules.
  * Add 01_mp3tunes_support_gcrypt.diff patch which adds support for linking
    against Libgcrypt instead of OpenSSL (mp3tunes Internet Service).
  * Bump Standards-Version to 3.8.0:
    - add README.source and build-depend on quilt (>= 0.46-4.1) to ensure
      presence of /usr/share/doc/quilt/README.source in the quilt package.
  * Drop Vcs fields for now. amarok 2 packaging is not under any Vcs yet.
  * Drop amarok-engine* packages amarok 2 Beta 1 supports only one engine
    (Phonon) currently. Also:
    - Drop individual engines from amarok Depends.
    - Drop Conflicts with amarok-engine. No longer applicable.
    - Do not suggest non-existant amarok-engines metapackage.
  * Drop amarok-konqsidebar package as it is not present in this release. Also
    drop it from amarok Recommends.
  * Drop moodbar from amarok Suggests. Not supported in this release.
  * Update amarok and amarok-common install files.
  * Use (=) relationship for amarok depends on amarok-common.
  * Remove Last.fm, Ruby and KDE socket notes from README.Debian. They are no
    longer applicable.
  * Update watch file to track unstable amarok 2 releases (until amarok 2
    final is released).
  * Make amarok-common depend on libplasma2 for the animator and a few plasma
    servicetypes (in kdebase-workspace-data).
  * Cleanup amarok-common suggests too. I do not see any python scripts being
    installed.
  * Update amarok.1 manpage, add amarokmp3tunesharmonydaemon.1 manpage.
  * Update lintian-overrides.
  * Add presubj to discourage users from reporting upstream bugs to Debian BTS
    until Amarok 2 is not stable.
  * Build depend on libmtp-dev (>= 0.3.0). Newer library version is necessary.
  * Build depend on libgtk2.0-dev to get Gdk 2.0 (iPod covers).
  * Update debian/copyright.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 22 Aug 2008 01:21:37 +0300

amarok (1.4.10-3) unstable; urgency=low

  * Rebuild for libmtp8 0.3.6. Steal the patch (21_fix_libmtp-0.3.0-API.diff)
    from ubuntu (Closes: #516557).
  * Bump libmtp-dev build depend to >= 0.3.0.
  * Remove amarok-konqsidebar package to drop kdebase-dev build depend.
  * Fix Wikipedia tab (patch 22_fix_wikipedia_tab.diff) (Closes: #512847).

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 02 Mar 2009 01:16:27 +0200

amarok (1.4.10-2) unstable; urgency=high

  * Add 20_security_audible_tags.diff patch to fix integer overflow while
    reading audible aa file tags.
  * Urgengy high due to security fix.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 10 Jan 2009 13:56:55 +0200

amarok (1.4.10-1) unstable; urgency=high

  * New upstream release:
    - [Secunia SA31418] Fixes insecure temporary file creation
      (Closes: #494765).
  * Urgency high due to security fix.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 14 Aug 2008 21:35:56 +0300

amarok (1.4.9.1-3) unstable; urgency=low

  * Make amarok depend strictly on the same source version of amarok-common (=)
  * Add support for hotkeys under GNOME (Closes: #460113):
    - Add 16_gnome_multimedia_keys.diff patch (patch from Ubuntu, thanks to 
      Chris Brown and James Westby). Adds gnome_media_keys script.
    - Make amarok-common suggest python-dbus and libdbus-glib.
    - Add entry to README.Debian that python-dbus and libdbus-glib are needed
      to get the script working.
    - Add and patch Makefile.am to enable installation of the script.
  * Properly support Xiph mime types (patch from Ubuntu, thanks to Daniel
    Hahler and James Westby) (Closes: #488699).
  * Improve audiocd support from konqueror menu (Closes: #488680). Based on
    patch from Ubuntu (thanks to Anthony Mercatante and James Westby) with
    the following changes:
    - No distro branding.
    - Rename and install the 'play_audiocd' script to /usr/share/apps/amarok.
    - Remove bashisms from the play_audiocd script: /bin/sh compatibility.
    - Enhance play_audiocd script. Some assumptions there were not valid.
    - Install the script to the amarok-common package.
    - Patch amarok/src/amarok_play_audiocd.desktop instead of providing own
      version (19_amarok_play_audiocd.desktop.diff).
  * Add last.fm "Recommended Radio". Patch from Ubuntu (Closes: #488698).
    Thanks to Daniel Hahler and James Westby.
    - Extend the patch. Add "Recommend Radio" to the Playlist menu too.
  * Remove KDE*3* from the amarok package description. When I added it, I
    planned the KDE 4 version too (Closes: #488692).
  * Do not use quilt options (-p0) (Closes: #484942).

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 26 Jul 2008 16:06:43 +0300

amarok (1.4.9.1-2) unstable; urgency=medium

  * Add 15_temptables_more_indices.diff patch which creates more indices for
    some temporary tables that are used extensively while building collection
    database. Apparently, SQLite 3.5.x is slower than 3.4.x when doing
    matches on unindexed temporary table fields. This should solve (or improve
    situation significantly) major performance problems with SQLite 3.5.x
    (Closes: #479068). Urgency medium because this problem affects many 
    lenny and sid Amarok users having rather large (15k+ songs) collections.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 11 May 2008 04:07:01 +0300

amarok (1.4.9.1-1) unstable; urgency=low

  * New upstream bugfix release:
    - The last.fm dialog did not always properly disable options when the
      username was not entered.
    - Fix Amazon Cover fetching by using their new web service api.
      (Closes: #474186)
    - Don't insert items into Dynamic Mode that don't exist.
    - If unavailable tracks are in the Playlist and random mode is on, don't
    - stop those tracks if selected; continue with available tracks.
  * Repackage original tarball as orig.tar.gz instead of doing tarball-in-orig
    tarball thing. The previous way made patch testing and debugging more
    painful unnecessarily.
  * Resynchronize patches:
    - 11_bug403340_cancel_rename_when_deleting_items.diff - fix offsets.
    - 97_automake_cleanup.diff - adopt to upstream changes, fix offsets.
  * Improve debian/rules stamp-automake and clean targets a bit not to rm
    automake generated files uselessly (if they were not regenerated)

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 11 Apr 2008 10:12:31 +0300

amarok (1.4.8-2) unstable; urgency=low

  * Remove Adeodato Simó from Uploaders by his request. Thank you Adeodato for
    all your hard work!
  * Remove amarok-gstreamer.install because there is no gstreamer engine
    anymore.
  * Remove overrides/amarok-arts. arts engine is no longer available.
  * Drop internal cdbs/kde.mk in favour of the one shipped with cdbs. Merge
    missing functionality (cvs-make/automake) into debian/rules.
  * Auto-guess automake /usr/share directory.
  * Rework interdependences among amarok and its engines' packages:
    - Drop amarok-engine virtual package. Amarok and its engines ABI are not
      even compatible between Amarok point releases so virtual package, which,
      unfortunately, is versionless by definition, is not practical here.
    - Rename engine packages to amarok-engine-$engine. Make them conflict
      and replace previous amarok-$engine packages. Also make amarok conflict
      with amarok-engine virtual package. All these changes will ensure that
      partial upgrades from etch are not allowed (Closes: #432219).
    - Make amarok depend on any of its engines of the same binary version
      via alternate dependences. Default engine is amarok-engine-xine. Edit
      amarok-engine-xine description accordingly.
    - Make all amarok engines recommend amarok strictly of the same binary
      version. Recommends instead of Depends here breaks circular dependency
      (Closes: #368485).
    - Downgrade amarok-engines to amarok Suggests.
    - Convert amarok-engines package to arch:all because it's a metapackage.
      Edit amarok-engines description because it's no longer going to be
      installed by default.
    - Add amarok-yauap to amarok-engines Suggests.
  * New binary packages:
    - amarok-common - arch:all package for architecture independent files
      split from amarok. It recommends amarok (>= ${source:Version}) to
      avoid circular dependency as in case of stricter "Depends" relationship.
    - amarok-konqsidebar - split konqsidebar into its own binary package. The
      reason for this is that it's incompatible with konqueror (>= 4:4.0.0)
      and needs to _conflict_ with it (due to *.desktop files). Add
      amarok-konqsidebar to amarok Recommends and amarok to amarok-konqsidebar
      Depends.
    - amarok-dbg - package with debugging symbols (Closes: #368840).
    - amarok-engine-yauap - Yauap Commandline Audio Player engine
      (Closes: #445371):
      * Add libdbus-qt-1-dev to Build-Depends
      * Pass --with-yauap to configure
      * Add amarok-yauap.install
      * Depend on yauap.
  * Add "Homepage" field to debian/control source section, remove homepage
    reference from amarok binary package description.
  * Disable /usr/share/doc/amarok-* symlinks in debian/rules. They just
    complicate packaging unnecessarily and make lintian unhappy.
  * Ship only README from upstream source in /usr/share/doc/amarok.
  * debian/README.Debian: remove a note about installing ruby, because it's
    a dependency and gets installed anyway.
  * New patches:
    - 01_libtool_update.diff - use ltmain.sh and libtool.m4.in from Debian
      libtool. This patch is used instead of previous `cp` in debian/rules,
      because the patch 02_ below depends on it.
    - 02_admin_cleanup.diff - admin/* cleanup patch.
    - 97_automake_cleanup.diff - automake cleanup patch to get rid of excess
      dependencies and shut dpkg-shlibdeps up. Superseeds previous
      03_no_libadd_in_convenience_libs.diff patch.
    - 11_bug403340_cancel_rename_when_deleting_items.diff - cancel a pending
      'rename' request for the playlist item that is about to be deleted.
       The patch solves a popular crash. (Closes: #403340).
    - 12_devicemanager_dcopcall_no_timeout.diff - do not use timeout for dcop
      calls. It's very unsafe because it might break further dcop calls such
      as the one in the debian bug #432752 (Closes: #432752).
    - 13_lastfm_crash_434835.diff - resolve lastfm crash which could be
      triggered by switching away from lastfm track while it was still
      handshaking or buffering (Closes: #434835). Thanks to Raphael for the
      excelent instructions how to reproduce the crash.
    - 14_ruby_libs_not_scripts.diff - remove #! stanzas from ruby library
      files.
  * Prepend sequence number to the filenames of existing debian/patches/*.
    Edit debian/patches/series accordingly.
  * Move Depends/Recommends on ruby, python & friends from amarok to
    amarok-common since they scripts have been moved here.
  * Add moodbar to amarok Suggests (Closes: #421420). Tweak amarok package
    description accordingly.
  * Add DM-Upload-Allowed: yes to debian/control source section.
  * s/XS-Vcs/Vcs/ in debian/control.
  * Drop DEB_DH_SHLIBDEPS_ARGS_amarok from debian/rules. No longer needed with
    recent dpkg-shlibdeps.
  * Build-Depend on debhelper (>= 5.0.0)
  * Add executable permissions for some amarok scripts to make lintian happy.
  * s/.NF/.nf/ in debian/amarok.1
  * Drop DEB_INSTALL_DIRS_amarok from debian/rules. No longer needed.
  * Use more accurate method to exclude (-X) amarok engines from being handled
    by dh_makeshlibs instead of just DEB_DH_MAKESHLIBS_ARGS_ALL = -n.
  * Do not amarok.install /usr/lib/libamarok.so and /usr/lib/libamarok.la.
    They are devel-only and, hence, useless in the private library like
    libamarok case.
  * Install *.lintian files with overrides.
  * Add manual pages: amarokapp.1 amarokcollectionscanner.1 amarok_libvisual.1
  * Do not install COPYING files which are present in some script directories.
    Also remove useless (according to lintian) MacOS X resource fork file
    rubygems/._gem_commands.rb
  * Exclude amarok from amarok-engine-* packages dependency lists.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 04 Mar 2008 15:28:46 +0200

amarok (1.4.8-1) unstable; urgency=low

  [ Adeodato Simó ]
  * Build against libgpod-nogtk-dev.

  * Update Build-Standards to 3.7.3:
    + move menu entry to Applications/Sound.

  * Build-depend on automake instead of automake1.9.

  [ Modestas Vainius ]
  * Add myself as maintainer with the permission from Adeodato Simó.
  * Add Adeodato Simó as uploader.
  * debian/control: drop Vcs-Bazaar field. amarok debian packaging is
    now hosted at kde-extras svn repo therefore I'm adding appropriate
    XS-Vcs-Svn and XS-Vcs-Browser fields.

  * New upstream release (1.4.8) (Closes: #457352).
  * Resync patches:
    - proxy_lyrics.diff - removed, merged upstream.
    - fix_gcc4.3_ftbfs.diff - removed, resolved upstream.
  * Drop kdemultimedia-dev from Build-Depends. It's no longer needed.
  * debian/rules: use /usr/share/automake-1.10 instead of *-1.9
    because 'automake' package provides version 1.10.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 24 Dec 2007 23:10:02 +0200

amarok (1.4.7-1) unstable; urgency=low

  * The "Are you breaking up with me?" release.

 -- Adeodato Simó <dato@net.com.org.es>  Mon, 20 Aug 2007 11:00:49 +0200

amarok (1.4.6-1) unstable; urgency=low

  * New upstream version packaged.

  * Drop magnatune_CVE-2006-6980.diff; a (better) fix was applied upstream.

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 22 Jun 2007 22:12:29 +0100

amarok (1.4.5-5) unstable; urgency=low

  * Rebuild against libtunepimp 0.5; change Build-Depends from libtunepimp3-dev
    to libtunepimp-dev. (Closes: #425884)

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 25 May 2007 11:02:17 +0200

amarok (1.4.5-4) unstable; urgency=low

  * Upload to unstable.  (Closes: #421920)

  * Remove build-dependency on dpkg-dev (the version in stable groks
    ${binary:Version}), and drop version requirement on debhelper and
    libtag1-dev as well.

  * Drop the changes made to remove circular dependencies.  (Reopens: #368485,
    closes: #415484, #412464)

  * Add patch to fix FTBFS with gcc-4.3.  (Closes: #417684)

  * Use ${binary:Version} instead of ${source:Version}.

  * Add XS-VCS-Bzr field.

  * Add watch file, and adjust download URL on debian/copyright.

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 11 May 2007 11:57:31 +0200

amarok (1.4.5-3) experimental; urgency=low

  * Add support for devices using MTP, build-dep on libmtp-dev added. 
    (Closes: #405399)
  * Add support for karma devices, build-dep on libkarma-dev added.
    (Closes: #400801)
  * Added patch fixing CVE-2006-6980: amarok magnatune unsafe shell.
    (Closes: #410850)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 12 Mar 2007 02:38:05 +0100

amarok (1.4.5-2) experimental; urgency=low

  * iPod support is back. Added versioned build-dep on libgpod-dev (>=0.4.2).
    (Closes: #409985)
  * Add patch to add the "Queue Track" functionality to the Amarok DCOP API:
    queuemedia.patch. Patch by Isaac Clerencia <isaac@debian.org>
  * Add patch to allow amarok get lyrics via http proxy with authentication.
    Thanks to Filipe Lautert <filipe@icewall.org>. (Closes: #409568)
  * Added versioned dep on amarok-engines | amarok-engine, thanks to Andreas
    Pakulat for pointing this. (Closes: #409996). 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 10 Feb 2007 00:40:10 +0100

amarok (1.4.5-1) experimental; urgency=low

  * New upstream release:
    - Remove patches merged by upstream: invoke_browser, sparc-asm, magnatune,
      kde134333_negative_length_fix, revert-fix-for-bug-116127.
  * The XMMS visualization interface has been removed by upstream:
    - Remove xmms-dev build-dep.
    - amarok's description updated.
    - update amarok.install/rules.
  * iPod support temporarily dropped. (It needs libgpod >= 0.4.2, which is not
    yet in Debian).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri,  2 Feb 2007 05:15:29 +0100

amarok (1.4.4-4) unstable; urgency=high

  * Include final version of the magnatune.patch and really apply it.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 18 Feb 2007 01:17:49 +0100

amarok (1.4.4-3) unstable; urgency=high

  * Edited patch magnatune.patch fixing CVE-2006-6980: amarok magnatune 
    unsafe shell. (Closes: #410850). 
  	The reference to the ruby scripts pointed in the bug report, is a problem
    that was already solved in amarok 1.4.4.
  * Add dep on unzip (needed to uncompress albums).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 15 Feb 2007 22:28:13 +0100

amarok (1.4.4-2) unstable; urgency=high

  * Patched magnatune code to avoid multiple credit-card charges.
    (Closes: #402309)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 12 Dec 2006 16:51:13 +0100

amarok (1.4.4-1) unstable; urgency=medium
  
  * Adding myself as uploader. ACK my last three NMUs...
  * Removed circular dependencies. Now amarok-engines and amarok-$engine 
    Recommends: amarok, instead of depends on amarok (Closes: #368485).
  * Fix kde#134333: properly compute total playlist length if there are
    tracks dynamic lengths (e.g. last.fm streams) in the playlist. Patch by
    Modestas Vainius <geromanas@mailas.com>.
  * Replaced ${Source-Version} with ${source:Version} and added versioned
    build-dependency on dpkg-dev accordingly.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 26 Nov 2006 03:42:59 +0100

amarok (1.4.4-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch invoke_browser.patch to allow amarok open external URLs.
    (Closes: #397266).
  * Removed dependency on xmms and updated README.Debian. Thanks to Bryan 
    Donlan and Michael Biebl. (Closes: #393141) 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 19 Nov 2006 02:50:39 +0100

amarok (1.4.4-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch to fix build on sparc. Thanks to Jurij Smakov for the patch.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat,  4 Nov 2006 10:19:37 +0100

amarok (1.4.4-0.1) unstable; urgency=low

  * Non-maintainer upload with permission from the maintainer.
  * New upstream release.
  * Dropped patch 143_provided_upstream_playlist_encoding.diff,
    merged by upstream.
  * Moved architecture-dependent files from /usr/share to 
    /usr/lib. Thanks to Ted Percival. (Closes: #392392)
  * Updated debian/compat to 5.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 31 Oct 2006 21:59:59 +0100

amarok (1.4.3-1) unstable; urgency=low

  * New upstream release packaged (closes: #386143, #386048). This version
    works with newer MySQL versions, which closes: #384008, #384078, #385648.

  * Update variable name in debian/patches/revert-fix-for-bug-116127.diff.

  * Stop placing scripts in /usr/lib/amarok instead of /usr/bin. This is not
    supported upstream, and ends up causing more trouble that not.

  * Added ruby1.8-dev to Build-Depends, which seems to be needed now.

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 15 Sep 2006 19:46:51 +0200

amarok (1.4.1-3) unstable; urgency=medium

  * Promote ruby from Recommends to Depends.  (Closes: #376795, #377052)

  * Build-depend on libnjb-dev and pass --with-libnjb to configure to gain
    Creative Nomad Jukebox support.  (Closes: #328903)

  * Re-enable libviusal support now that version 0.4 is in the archive.

  * The proper spelling of the program is now Amarok instead of amaroK; update
    various files to the new spelling.  (Closes: #376815)

  * Updated years and list of authors in copyright files, plus some minor
    cleanups.

 -- Adeodato Simó <dato@net.com.org.es>  Tue, 11 Jul 2006 21:05:48 +0200

amarok (1.4.1-2) unstable; urgency=low

  * Revert fix for upstream Bug#116127: don't give artists whose all songs in
    the collection are part of a compilation their own entry in the browser,
    since that clutters the list unbearably. This is how 1.4.0 behaves.

  * Add ruby to Build-Depends, missed in the previous upload.

 -- Adeodato Simó <dato@net.com.org.es>  Tue,  4 Jul 2006 15:28:02 +0200

amarok (1.4.1-1) unstable; urgency=low

  * New upstream release:
    + upstream removed Moodbar support in this version due to its instability
      problems.  (Closes: #367792, #375940)
    + requires libvisual 0.4, which is not in unstable: drop support for now,
      and request new version in #376615.

  * amaroK now includes Last.fm stream playing support. Introduced changes:
    + update some-binaries-in-usr-lib.patch to cope with new helper script
      amarok_proxy.rb.
    + add an item to description mentioning this feature, pointing out that
      Ruby is needed, both in the description and README.Debian.

  * Link against SQLite dynamically again, since scores work now with it (at
    least my testings confirm so).

 -- Adeodato Simó <dato@net.com.org.es>  Tue,  4 Jul 2006 02:09:35 +0200

amarok (1.4.0a-1) unstable; urgency=low

  * Revised tarball for 1.4.0 (closes: #367897), fixing the following issues:

    + does not botch migration from 1.3 SQLite collections, which in addition
      caused further collection rebuilds to appear empty. (Closes: #368396)
    + correctly closes database connections, thus not failing with "too many
      open files" and deleting the collection after some hours in pause mode.
      (Closes: #368086)
    + audio CDs can be reproduced again. (Upstream #127388)

  * Switch to included SQLite; for some reason, dynamic linking against 3.3.5
    makes scores unfunctional. (Closes: #367468)

 -- Adeodato Simó <dato@net.com.org.es>  Sat, 27 May 2006 15:23:14 +0200

amarok (1.4.0-1) unstable; urgency=low

  * New upstream release. The upstream tarball no longer ships the GStreamer
    engine, and aRts support was dropped a while ago, and this upload only
    includes the XINE engine.

    Bugs reported in the Debian BTS fixed in this version:

    + collection is updated at start up. (Closes: #330017)
    + metadata for icecast streams is displayed. (Closes: #349796)
    + the correct charset is used for lyrics URLs. (Closes: #352882)
    + iPods are recognized even after emptying them. (Closes: #350305)
    + non-ascii characters are displayed correctly under non UTF-8
      locales in the konqueror sidebar. (Closes: #353058)
    + last.fm submission queue is flushed after network unavailability
      even if no more tracks are played. (Closes: #344429)

    Regressions fixed since the latest beta:

    + iPod model detection works again, without needing libgpod-cvs.
      (Closes: #364789)
    + filling tags using MusicBrainz works again. (Closes: #364798)

  * Enable Moodbar support, now that Exscalibar has entered unstable.
    (Closes: #364588)

  * Update Standards-Version to 3.7.2 (no changes required).

 -- Adeodato Simó <dato@net.com.org.es>  Sun, 14 May 2006 16:42:14 -0500

amarok (1.4-beta3c-1) experimental; urgency=low

  * Third beta for the upcoming 1.4 version packaged.

  * Build against libtunepimp3-dev.

 -- Adeodato Simó <dato@net.com.org.es>  Sat, 15 Apr 2006 19:47:54 +0200

amarok (1.4-beta2-3) experimental; urgency=low

  * Rebuild against libmysqlclient15off. (Closes: #358490)

 -- Adeodato Simó <dato@net.com.org.es>  Thu, 23 Mar 2006 02:18:56 +0100

amarok (1.4-beta2-2) experimental; urgency=low

  * Fix yesterday's brainfart: aKode can't output to aRts, so remove this
    statement from the description.

  * In addition, and after a bit of chit-chat with upstream, follow their
    wishes and not package aKode at all (bye amarok-arts), and don't include
    GStreamer 0.10 support for now.

 -- Adeodato Simó <dato@net.com.org.es>  Mon,  6 Mar 2006 23:37:43 +0100

amarok (1.4-beta2-1) experimental; urgency=low

  * Second beta for the upcoming 1.4 version packaged.

    This release drops the aRts engine; in order to keep support for
    outputting to aRts, ship the aKode engine in the amarok-arts package.

    Also, GStreamer 0.8 support is dropped in favour of GStreamer 0.10. Update
    build-dependencies and amarok-gstreamer's dependencies accordingly.

  * Use strncpy instead of qstrdup in the patch for main.cpp, so that argv[0]
    is overwritten correctly. This closes: #352171 (amaroK not remembering the
    desktop it was on upon login), and incidentally makes Erich Schubert happy.

  * Drop build-dependency on libgtk2.0-dev now that #353590 is fixed.

 -- Adeodato Simó <dato@net.com.org.es>  Mon,  6 Mar 2006 05:44:33 +0100

amarok (1.4-beta1-r511476b) experimental; urgency=low

  * First beta (plus SVN) for the upcoming 1.4 version packaged.
    (Closes: #352590)

  * Update build-depends to support iRiver iFP (B-D: libifp-dev, libusb-dev),
    and iPod via libgpod (B-D: libgpod-dev; plus libgtk2.0-dev due to #353590).

  * Since lyrics downloading is now implemented in a separate Ruby script,
    promote ruby from Suggests to Recommends, so that functionality is ideally
    not lost. Add a note with this information to README.Debian.

  * Link against sqlite dynamically again, since amaroK 1.4 can cope with the
    restriction explained in the changelog entry for 1.3.1-1 and Bug#326648.

 -- Adeodato Simó <dato@net.com.org.es>  Mon, 20 Feb 2006 05:42:15 +0100

amarok (1.3.9-1) unstable; urgency=medium

  * New upstream bugfix release.

  * Build against libtunepimp3-dev. (Closes: #359086)

 -- Adeodato Simó <dato@net.com.org.es>  Thu, 27 Apr 2006 00:33:29 +0200

amarok (1.3.8-1) unstable; urgency=low

  * New upstream bugfix release:

    + fetching lyrics works again. (Closes: #344509)

  * Do not use g++-3.4 in arm, m68k and hppa anymore, sid's g++-4.0 is
    expected to work. (Closes: #342953)

  * Update MySQL build-dependency to libmysqlclient15-dev. (Closes: #343759)

  * Switch patch management to quilt, and make use of patchsys-quilt.mk.

  * Drop build-depends version constraints that are satisfied with stable.
    Drop the ones for kdebase-dev and kdemultimedia-dev as well, which were
    transient and all arches have the minimum required versions in sid now.

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 18 Jan 2006 01:43:40 +0100

amarok (1.3.7-1) unstable; urgency=low

  * New upstream bugfix release.

  * Built against kdelibs4c2a, so installable in sid again. (Closes: #341959)
    Temporarily bump build-deps on kdebase-dev and kdemultimedia-dev.

  * Remove debian/patches/taglib-1.3.1-suffices.diff, since taglib 1.4 is in
    testing and unstable, and I'll be using a backport for sarge packages.
    Bump version constraint in debian/control.

  * Again, update my e-mail address in debian/control, yada yada.

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 07 Dec 2005 06:44:59 +0100

amarok (1.3.6-1) unstable; urgency=low

  * New upstream bugfix release:

    + last.fm submissions are properly saved on disk while offline again; they
      had been broken by Qt 3.3.5. (Closes: #334469, #337109)
    + includes missing semicolon in amarok.desktop. (Closes: #336026)

  * Update my e-mail address in debian/control.

 -- Adeodato Simó <dato@the-barrel.org>  Tue, 08 Nov 2005 10:40:42 +0100

amarok (1.3.5-1) unstable; urgency=low

  * New upstream bugfix release, quickly released to fix a potential crash at
    startup (upstream #114983).

 -- Adeodato Simó <asp16@alu.ua.es>  Tue, 25 Oct 2005 14:55:29 +0200

amarok (1.3.4-1) unstable; urgency=low

  * New upstream bugfix release, which makes this maintainer of yours
    immensely happy because a fix for upstream #114195 is included.
    ("Collection scanner ignored files with non-ascii characters").

  * Add libvisual support (closes: #335053). Thanks to Jean-Rémy Falleri for
    the heads-up. Changes needed:

    + add libvisual0.2-dev and libsdl1.2-dev to Build-Depends.
    + add libvisual0.2-plugins to Suggests, and mention it in the paragraph
      regarding visualization plugins in amarok's description.
    + add the appropriate snippet to some-binaries-in-usr-lib.patch in order
      to cope with amarok_libvisual installed in /usr/lib/amarok instead of
      /usr/bin, as mandated by Policy.

 -- Adeodato Simó <asp16@alu.ua.es>  Mon, 24 Oct 2005 09:30:22 +0200

amarok (1.3.3-1) unstable; urgency=low

  * New upstream bugfix release:

    + does not loose playlist / podcasts on restart. (Closes: #329878)
    + PostgreSQL configuration dialog no longer shows MySQL's. (Closes: #327630)

  * Updated the Debian menu icons to the new logo.

  * Updated copyright notice, list of authors, and FSF postal address in
    debian/copyright.

 -- Adeodato Simó <asp16@alu.ua.es>  Thu, 13 Oct 2005 00:04:34 +0200

amarok (1.3.2-1) unstable; urgency=low

  * New upstream bugfix release, featuring the return of alsasink support.

 -- Adeodato Simó <asp16@alu.ua.es>  Wed, 21 Sep 2005 04:14:52 +0200

amarok (1.3.1-2) unstable; urgency=low

  * Use g++ 3.4 in arm, m68k and hppa.

 -- Adeodato Simó <asp16@alu.ua.es>  Tue, 06 Sep 2005 00:21:03 +0200

amarok (1.3.1-1) unstable; urgency=low

  * New upstream bugfix release. Beware, though, that the GStreamer engine has
    been rewritten (!), and ALSASINK SUPPORT REMOVED due to temporary breakage.

  * Use the internal copy of sqlite for now. This fixes the collection being
    non functional with SQLite 3.2.5 due to this version preventing a database
    handle opened in one thread to be used in another. See Bug#326648 for
    reference. (Closes: #326562, #312386)

  * Enable PostgreSQL support (closes: #326612, #326713):

    + debian/rules: pass --enable-postgresql to ./configure.
    + debian/control: add libpq-dev to Build-Depends.

    (Before somebody comes around with the word "bloat" ready, libpq4 is 6
     times smaller than libmysqlclient14.)

  * Regain preciousss "my `grep -c NEEDED` is smaller than yours" karma by not
    using LIBADD in the statusbar convenience lib. The Depends line had gained
    some weight in 1.2.3-1.

 -- Adeodato Simó <asp16@alu.ua.es>  Mon, 05 Sep 2005 20:57:41 +0200

amarok (1.3.0-1) unstable; urgency=low

  * New upstream release packaged (closes: #323249). Bugs reported in the
    Debian BTS fixed in this version:

    + does not display advertisements in lyrics. (Closes: #321499)
    + pre-amp in the equalizer works with XINE engine too. (Closes: #283750)
    + includes PartyMode. (Closes: #293293)
    + includes equalizer presets. (Closes: #283761)
    + builds fine with GCC 4.0. (Closes: #314779)

  * Updated Build-Dependencies:

    + automake1.6 to automake1.9.
    + libmysqlclient12-dev to libmysqlclient14-dev.
    + temporarily bump version constraint in kdemultimedia-dev and kdebase-dev
      in order to allow an early upload in the middle of the KDE transition.

  * Adjustments to the build-system:

    + do not require TagLib 1.4.0 since it's not in Debian yet (#323280).
    + don't use KDE_FINAL in amarok/src since both MySQL and KDE have had the
      brilliant idea to define a struct/class named "NET".

  * This version links against libtunepimp2c2, so libtunepimp2 0.3.0-4
    breakage does not affect us anymore. (Closes: #318000)

  * Update Standards-Version to 3.6.2 (no changes required).

 -- Adeodato Simó <asp16@alu.ua.es>  Sat, 03 Sep 2005 01:42:56 +0200

amarok (1.2.4-1) unstable; urgency=low

  * The "following Debian Policy is cool, except when it's not" release.

  * New upstream bugfix release:

    + amaroK now correctly displays the name of the first available engine,
      instead of an empty line. (Closes: #307949)

  * The KDE Session Manager can now restore amaroK on login (closes: #302852,
    #308099). Patch amarokapp to set its own argv[0] to 'amarok', since for the
    session manager to restore an application the binary must be in the $PATH.

  * Made the crash handler aware that amarokapp is in /usr/lib/amarok, and not
    in /usr/bin.

  * Include small patch to fix upstream bug 103510 ("systray icon continues
    'playing' after songs end, if 'clear list' was hit while playing").

 -- Adeodato Simó <asp16@alu.ua.es>  Mon, 06 Jun 2005 00:08:28 +0200

amarok (1.2.3-1) unstable; urgency=low

  * New upstream bugfix release.

  * This version fixes an important memory leak in the GStreamer engine that
    happened when a radio stream stalled. (Closes: #299931)

 -- Adeodato Simó <asp16@alu.ua.es>  Tue, 29 Mar 2005 01:43:28 +0200

amarok (1.2.2-1) kalyxo-unstable; urgency=low

  * New upstream bugfix release.

  * Added a menu file, plus XPM icons.

  * Switched to tarball-in-tarball for the .orig.tar.gz (which is sensibly
    smaller now, since upstream uses bz2). Added bzip2 to Build-Depends.

  * Build-depend on automake1.6 and libtool, and regenerate configure and
    Makefiles.in at build-time.

  * Use the kde.mk class maintained by the Debian KDE Maintainers, instead
    of the one shipped with cdbs.

 -- Adeodato Simó <asp16@alu.ua.es>  Thu, 17 Mar 2005 19:38:34 +0100

amarok (1.2.1-1) unstable; urgency=low

  * New upstream bugfix release.

  * Include patch from CVS to make amaroK bind listening TCP connections to
    the local interface only. Related to Bug#297693, but not the same.

 -- Adeodato Simó <asp16@alu.ua.es>  Fri, 04 Mar 2005 14:54:34 +0100

amarok (1.2.0-1) unstable; urgency=low

  * New upstream release packaged (closes: #296139). Lots of improvements and
    new functionality, see the changelog or http://amarok.kde.org for details.
    Bugs reported in the Debian BTS fixed with in this version:

    + the search text input element is now cleared when the user writes
      something there. (Closes: #278359)

    + analyzers work with the XINE engine. (Closes: #287091)

  * amaroK's collection can be now stored in a MySQL database:

    + Build-Depend on libmysqlclient12-dev

    + Pass --enable-mysql to configure.

  * amaroK now includes a sidebar plugin for Konqueror:

    + debian/amarok.install:
      - add files for the konqueror sidebar.

    + debian/control:
      - added kdebase-dev as Build-Dependency.

    + debian/rules:
      - exclude konqsidebar_universalamarok.so from dh_shlibdeps, so that
        amarok doesn't end up depending on konqueror. (The plugin will be
        ignored in systems without konqueror installed.)

  * Other changes:

    + amaroK now ships several scripts to enhance it. These are written in
      Python and Ruby, so add those as suggested packages. Added note to
      README.Debian about this, too.

    + removed sqlite3_in_configure.in.patch, no longer necessary in 1.2.

    + added www-browser as an alternative for the konqueror suggests, since
      upstream fixed the code so that the configured browser is used.

    + renamed debian/README to debian/README.Debian, so that it gets
      installed. D'oh!

    + debian/control:
      - remove Build-Dependency on libkjsembed-dev, no longer needed.

    + debian/amarok.install:
      - install amarok.profile.xml into /usr/share/apps/profiles.

 -- Adeodato Simó <asp16@alu.ua.es>  Wed, 23 Feb 2005 03:03:37 +0100

amarok (1.1.1-2) unstable; urgency=high

  * Upload to get rid of the dependency on libflac4, which is not longer in
    the archive (closes: #289344). Urgency set to high as other packages with
    RC bug fixes can't enter testing because of the libflac6 transition not
    being ready.

    + Relibtoolized the package, so that binaries won't link against not
      needed libraries. Introduced disable_no_undefined.patch, many thanks to
      Daniel Schepler for his insight with this (and for providing the patch).
      [This has reduced the number of NEEDED libraries from 45 to 18, libflac
      being among them.]

    + debian/control:
      - version Build-Dependency on libtunepimp2-dev to (>= 0.3.0-2.1).

  * Some new versions of libraries have become available in Debian since the
    last upload:

    + Taglib 1.3 is now in the archive:
      - removed debian/patches/taglib-1.2-suffices.patch.
      - update Build-Depends to libtag1-dev (>> 1.3.1).

    + SQLite 3 is now in the archive:
      - changed Build-Depends on libsqlite0-dev to libsqlite3-dev.
      - pass --without-included-sqlite to ./configure.
      - patch configure.in to check for sqlite3 (>= 3.0). Upstream forgot to
        update this check in the 1.1 series. [sqlite3_in_configure.in.patch]

  * New package relationships:

    + amarok now recommends kdemultimedia-kio-plugins, which is needed to play
      audio CDs.

    + amarok now suggests konqueror, since it's called in the MusicBrainz
      dialog and some other places. (Closes: #282523)

  * Created a README.Debian files with the following:

    + Explain why the amarokapp and amarok_xmmswrapper2 binaries are shipped
      in /usr/lib/amarok instead of /usr/bin, differing from upstream.

    + Describe a fix for the 'Socket-path is not a link or a directory' error.

    + Explicitly mention what is needed to play audio CDs in amarok.

  * Other changes:

    + Patched admin/configure.in.min to include AM_MAINTAINER_MODE. To make
      the .diff.gz stuff smaller, force automake-1.6 (which upstream uses) in
      admin/detect-autoconf.sh. [am_maintainer_mode.patch, automake-1.6.patch]

    + Prevent admin/cvs.sh from creating .gmo files at "make dist" time, since
      those can't be shipped in the .diff.gz. [gmo_files_at_build_time.patch]

    + debian/amarok.1:
      - correct "hyphen vs. minus sign" usage.

 -- Adeodato Simó <asp16@alu.ua.es>  Fri, 14 Jan 2005 01:54:47 +0100

amarok (1.1.1-1) unstable; urgency=low

  * New upstream release packaged. Most notably, fixes several GStreamer
    engine related bugs.

  * debian/control: add to amarok-gstreamer's description that is not possible
    to use artssink for output.

  * debian/rules:
    - call dh_install with --list-missing (DEB_DH_INSTALL_ARGS).

  * debian/patches/:
    - removed proper-otherlang-handbook-path.patch, issue fixed upstream.

 -- Adeodato Simó <asp16@alu.ua.es>  Sat, 09 Oct 2004 22:51:06 +0200

amarok (1.1.0-2) unstable; urgency=low

  * Fix the location of translated amaroK handbook: kde/HTML/$LANG/amarok, not
    kde/HTML/$LANG directly. [debian/patches/proper-otherlang-handbook-path.patch]

 -- Adeodato Simó <asp16@alu.ua.es>  Mon, 27 Sep 2004 14:02:30 +0200

amarok (1.1.0-1) unstable; urgency=low

  * New upstream version:
    - several last minute fixes.
    - includes handbook in several languages (da, et, fr, it, pt, sv).

  * First upload to Debian (closes: #236696).

 -- Adeodato Simó <asp16@alu.ua.es>  Mon, 27 Sep 2004 01:53:56 +0200

amarok (1.1-cvs-0+kalyxo1) experimental; urgency=low

  * New maintainer. Thanks to Peter Rockai for his initial work.

  * Updated to amaroK 1.1 CVS (2004-09-24):
    - temporarily link statically against libsqlite, since sqlite >= 3.0.7 is
      required and is not available in Debian (requested in #272271).
    - added debian/patches/taglib-1.2-suffices.patch to lower the requirement
      from taglib 1.3 (requested in #273029) to 1.2, which is enough.
    - new package amarok-xine (yet another engine for amaroK, hurray!)
    - added the following Build-Dependencies:
      + libkjsembed-dev (amaroK is now JavaScript scriptable).
      + libtunepimp2-dev (MusicBrainz support).
      + libxine-dev (for the xine engine).
      + libtag1-dev (missing).

  * New package amarok-engines:
    - depends on all the available engine packages and will be installed by
      default unless the user specifies an specific engine.
    - all the amarok-* packages Provide: amarok-engine, and amarok now
      Depends: amarok-engines | amarok-engine.

  * Removed the amarok-xmms package:
    - its single binary amarok_xmmswrapper2 is now included in the main amarok
      package.
    - include some hackery to prevent amarok from depending on xmms (!).
      amaroK just does a no-op and issues a warning on stderr if xmms is not
      installed and user opens the visualizations menu, so this seems safe.
      A xmms-lib package (in which amarok could easily depend) is requested in
      #272913.

  * Install amarokapp and amarok_xmmswrapper2 in /usr/lib/amarok instead of
    /usr/bin:
    - needed for FHS/Debian Policy compliance.
    - added debian/patches/some-binaries-in-usr-lib.patch to fix locations in
      source (amarok/src/loader/loader.cpp, amarok/src/socketserver.cpp).

  * Added lintian overrides for an aRts module which must go in /usr/lib
    despite not being a shared library. noatun and some other arts-related
    packages have the same problem, if someone has a solution please share.

  * Made /usr/share/doc/amarok-* symlinks to /usr/share/doc/amarok.

  * Do not make amarok-arts depend on the meta-package "arts"; the
    dependencies given by ${shlib:Depends} do suffice.

  * debian/control: updated to Standars-Version 3.6.1.

 -- Adeodato Simó <asp16@alu.ua.es>  Fri, 24 Sep 2004 02:49:46 +0200

amarok (1.0.2-1) unstable; urgency=low

  * New upstream version.

 -- Peter Rockai (mornfall) <mornfall@danill.sk>  Thu,  5 Aug 2004 14:23:23 +0200

amarok (1.0.1-1) unstable; urgency=low

  * New upstream version
  * Make depends among amarok packages versioned
  * Prepare to upload into Debian, closes: #236696
  * Add manpage for amarok by Alejandro Exojo

 -- Peter Rockai (mornfall) <mornfall@danill.sk>  Wed, 30 Jun 2004 23:24:16 +0200

amarok (1.0.0-3) unstable; urgency=low

  * Dynamically link against libsqlite0
  * Fix gstreamer dependencies
  * Various small fixes (sections, descriptions, doc dirs)
  * Thanks go to Adeodato Simó for help with various issues

 -- Peter Rockai (mornfall) <mornfall@danill.sk>  Sat, 26 Jun 2004 23:06:00 +0200

amarok (1.0.0-2) unstable; urgency=low

  * Make the depends on amarok-gstreamer a bit more tight. Only depend on
    audiosink, recommend the decoder plugins.
  * Make the amarok engines depend on amarok itself.
  * Compile with xmms visualisation support.

 -- Peter Rockai (mornfall) <mornfall@danill.sk>  Wed, 23 Jun 2004 13:58:12 +0200

amarok (1.0.0-1) unstable; urgency=low

  * Build official 1.0.0 release.

 -- Peter Rockai (mornfall) <mornfall@danill.sk>  Wed, 16 Jun 2004 23:48:52 +0200

amarok (1.0-pre1-2) unstable; urgency=low

  * Fix amarok-arts package, was missing mcop files. Duh.

 -- Peter Rockai (mornfall) <mornfall@danill.sk>  Wed, 16 Jun 2004 23:25:29 +0200

amarok (1.0-pre1-1) unstable; urgency=low

  * First 1.0.0 prerelease.

 -- Peter Rockai (mornfall) <mornfall@danill.sk>  Wed, 16 Jun 2004 10:18:31 +0200

amarok (1.0-beta4-2) unstable; urgency=low

  * Patch to final beta4 version.

 -- Peter Rockai (mornfall) <mornfall@danill.sk>  Tue,  1 Jun 2004 17:47:53 +0200

amarok (1.0-beta4-1) unstable; urgency=low

  * New upstream RC (beta4-rc1).
  * Build with GST support.

 -- Peter Rockai (mornfall) <mornfall@danill.sk>  Tue,  1 Jun 2004 10:24:09 +0200

amarok (1.0-beta3-1) unstable; urgency=low

  * New upstream release.

 -- Peter Rockai (mornfall) <mornfall@danill.sk>  Sat, 29 May 2004 17:08:55 +0200

amarok (1.0-beta1-0) workstation-unstable; urgency=low

  * Initial packaging

 -- Peter Rockai (mornfall) <mornfall@mornfall.homeip.net>  Sun, 11 Apr 2004  17:05:00 +0200
